# -*- coding: utf-8 -*-
import os
import sys

from typing import List

from alibabacloud_paistudio20210202.client import Client as PaiStudio20210202Client
from alibabacloud_tea_openapi import models as open_api_models
from alibabacloud_paistudio20210202 import models as pai_studio_20210202_models
from alibabacloud_tea_util import models as util_models
from alibabacloud_tea_util.client import Client as UtilClient

import json

class PAIClient:
    def __init__(self):
        pass

    @staticmethod
    def create_client():
        """
        使用AK&SK初始化账号Client
        @return: Client
        @throws Exception
        """
        # 工程代码泄露可能会导致 AccessKey 泄露，并威胁账号下所有资源的安全性。以下代码示例仅供参考。
        config = open_api_models.Config(
            access_key_id="LTAI5tFGqgC8f3mh1fRCrAEy",
            access_key_secret="XhOjK9XmTYRhVAtf6yii4s4kZwWzvV"
        )
        # Endpoint 请参考 https://api.aliyun.com/product/PaiStudio
        config.endpoint = 'pai-vpc.cn-hangzhou.aliyuncs.com'
        return PaiStudio20210202Client(config)

    @staticmethod
    def main(
        args: List[str],
    ) -> None:
        client = PAIClient.create_client()
        list_experiments_request = pai_studio_20210202_models.ListExperimentsRequest(
            workspace_id='96094'
        )
        runtime = util_models.RuntimeOptions()
        headers = {}
        try:
            resp = client.list_experiments_with_options(list_experiments_request, headers, runtime)
            print(resp)
        except Exception as error:
            print(error.message)
            print(error.data.get("Recommend"))
            UtilClient.assert_as_string(error.message)

if __name__ == '__main__':
    PAIClient.main(sys.argv[1:])
